<template>
    <div class="wrapper row">
        <!-- <NavSection  colorLink="red" colorLine="blue" ></NavSection> -->
        <div class="footer">
            <div class="footer__half">
                <div class="footer__item copyright__part">
                    <h2 class="visually-hidden">&nbsp;</h2>

                    <p class="footer__copyright">
                        © 2017—{{currentYear}} «Qalibry»
                        <br />
                        {{ local.yourLoyaltyProgram[$lang] }}
                    </p>
                    <button class="footer__btn">{{ local.subscribe[$lang] }}</button>
                </div>
                <div class="footer__item contacts">
                    <h3 class="contacts__title">{{ local.contacts[$lang] }}</h3>
                    <p class="contacts__number">
                        <b>8 800 888 85 89</b>
                        <br />
                        {{ local.technicalHelp[$lang] }}
                    </p>
                    <p class="contacts__number">
                        <b>+7 495 888-85-89</b>
                        <br />
                        {{ local.connectionSchedule[$lang] }}
                    </p>
                    <a class="contacts__link" href="#">info@qalibry.ru</a>
                    <div class="contacts__list-link-social">
                        <a class="contacts__link-social" href="#">
                            <img
                                src="/assets/img/twitter.png"
                                height="30px"
                                width="30px"
                                alt="твитер"
                            />
                        </a>
                        <a class="contacts__link-social" href="#">
                            <img
                                src="/assets/img/facebook.png"
                                height="30px"
                                width="30px"
                                alt="фейсбук"
                            />
                        </a>
                    </div>
                </div>
            </div>
            <div class="footer__half">
                <div class="footer__item section-item">
                    <h2 class="section-item__title">{{ local.loyaltyProgram[$lang] }}</h2>
                    <ul class="section-item__list-link">
                        <li
                            @click="$parent.openModal('discountProgramm')"
                            class="section-item__link"
                        >
                            <span v-html="local.discountProgram[$lang]"></span>
                        </li>
                        <li class="section-item__link">
                            <span v-html="local.bonusProgram[$lang]"></span>
                        </li>
                        <li class="section-item__link">
                            <span v-html="local.giftProgram[$lang]"></span>
                        </li>
                        <li class="section-item__link">
                            <span v-html="local.virtualCertificate[$lang]"></span>
                        </li>
                        <li class="section-item__link">
                            <span v-html="local.multiLevelProgram[$lang]"></span>
                        </li>
                        <li
                            class="section-item__link"
                            @click="$parent.openModal('coalitionProgram')"
                        >
                            <span v-html="local.coalitionProgram[$lang]"></span>
                        </li>
                        <li
                            class="section-item__link"
                            @click="$parent.openModal('internetProgram')"
                        >
                            <span v-html="local.internetShopProgram[$lang]"></span>
                        </li>
                    </ul>
                </div>
                <div class="footer__item section-item documentation">
                    <h2 class="section-item__title">{{ local.documentation[$lang] }}</h2>
                    <ul class="section-item__list-link">
                        <li class="section-item__link">
                            <a href="#">{{ local.integration[$lang] }}</a>
                        </li>
                        <li class="section-item__link">
                            <a href="#">{{ local.contractExample[$lang] }}</a>
                        </li>
                        <li class="section-item__link">
                            <a href="#">{{ local.requisites[$lang] }}</a>
                        </li>
                        <li class="section-item__link">
                            <a href="#">{{ local.conditionsOfUsage[$lang] }}</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import NavSection from './NavSection.vue';
import local from '../localisation/footerLocalisation.js';

export default {
    data: () => ({
        local,
        currentYear: null
    }),
    components: {
        NavSection,
    },
    mounted(){
        this.currentYear = new Date().getFullYear()
    }
};
</script>

<style lang="scss" scoped>
.wrapper {
    max-height: 421px;
    min-height: fit-content;
    padding-top: 60px;
    background-color: #ffffff;
    justify-content: center;
    @media (max-width: 1100px) {
        padding-bottom: 0;
    }
    @media (max-width: 900px) {
        padding-top: 30px;
    }
    @media (max-width: 620px) {
        padding-top: 30px;
    }
    @media screen and ( -ms-high-contrast: active), (-ms-high-contrast: none) {
        min-height: inherit;
    }
}

.footer {
    display: flex;
    margin-bottom: 53px;
    justify-content: space-around;
    max-width: 1146px;
    width: 100%;
    @media (max-width: 900px) {
        margin-bottom: 0;
    }
    @media (max-width: 620px) {
        flex-direction: column;
    }

    &__half {
        display: flex;
        width: 50%;
        justify-content: space-between;
        @media (max-width: 900px) {
            flex-direction: column;
            max-width: 50%;
        }
        @media (max-width: 620px) {
            max-width: 100%;
            width: 100%;
            &:nth-child(2) {
                margin-top: 0px;
            }
        }
    }
    &__item {
        display: flex;
        flex-direction: column;
        margin-right: 62px;
        @media (max-width: 1200px) {
            margin-right: 20px;
        }
        // width: 276px;
    }
    &__copyright {
        margin-top: 40px;
        font-family: OpenSans;
        font-size: 14px;
        line-height: 1.71;
        color: #464d53;
        @media (max-width: 900px) {
            margin-top: 0px;
        }
    }
    &__btn {
        width: 200px;
        height: 40px;
        margin-top: 26px;
        border-radius: 48px;
        border: solid 2px #30b164;
        font-family: 'Comfortaa', sans-serif;
        text-transform: uppercase;
        font-size: 12px;
        font-weight: bold;
        letter-spacing: 1px;
        text-align: center;
        color: #30b164;
        background-color: #ffffff;
    }
}

.copyright__part {
    margin-right: 96px;
    @media (max-width: 1200px) {
        margin-right: 20px;
    }
}

.contacts {
    max-width: 276px;
    &__title {
        font-family: 'Comfortaa', sans-serif;
        text-transform: uppercase;
        font-size: 10px;
        font-weight: bold;
        letter-spacing: 0.71px;
        color: #afc3d3;
        height: 20px;
    }
    &__number {
        font-family: OpenSans;
        font-size: 14px;
        line-height: 1.71;
        color: #464d53;
        margin-bottom: 20px;
    }
    &__link {
        font-family: OpenSans;
        font-size: 14px;
        line-height: 1.71;
        color: #30b164;
        margin-bottom: 20px;
    }
    &__list-link-social {
        margin-bottom: 31px;
    }
    @media (max-width: 900px) {
        margin-top: 30px;
    }
    @media screen and ( -ms-high-contrast: active), (-ms-high-contrast: none) {
       width: 100%;
    }
}
.section-item {
    &__title {
        font-family: 'Comfortaa', sans-serif;
        text-transform: uppercase;
        font-size: 10px;
        font-weight: bold;
        letter-spacing: 0.71px;
        color: #afc3d3;
    }
    &__list-link {
        display: flex;
        flex-direction: column;
        padding: 0;
        list-style-type: none;
        margin-top: 0;
    }
    &__link {
        margin-bottom: 20px;
    }
    &__link {
        span,
        a {
            font-family: OpenSans;
            text-decoration: underline;
            font-size: 14px;
            line-height: 1.71;
            color: #30b164;
            width: 100%;
            &:hover {
                cursor: pointer;
            }
        }
    }
}
</style>
